#########################################################
# This file has been automatically generated by gem2tgz #
#########################################################
# -*- encoding: utf-8 -*-
# stub: rack-attack 6.6.1 ruby lib

Gem::Specification.new do |s|
  s.name = "rack-attack".freeze
  s.version = "6.6.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/rack/rack-attack/issues", "changelog_uri" => "https://github.com/rack/rack-attack/blob/main/CHANGELOG.md", "source_code_uri" => "https://github.com/rack/rack-attack" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Aaron Suggs".freeze]
  s.date = "2022-04-14"
  s.description = "A rack middleware for throttling and blocking abusive requests".freeze
  s.email = "aaron@ktheory.com".freeze
  s.files = ["LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "lib/rack/attack.rb".freeze, "lib/rack/attack/allow2ban.rb".freeze, "lib/rack/attack/base_proxy.rb".freeze, "lib/rack/attack/blocklist.rb".freeze, "lib/rack/attack/cache.rb".freeze, "lib/rack/attack/check.rb".freeze, "lib/rack/attack/configuration.rb".freeze, "lib/rack/attack/fail2ban.rb".freeze, "lib/rack/attack/path_normalizer.rb".freeze, "lib/rack/attack/railtie.rb".freeze, "lib/rack/attack/request.rb".freeze, "lib/rack/attack/safelist.rb".freeze, "lib/rack/attack/store_proxy/active_support_redis_store_proxy.rb".freeze, "lib/rack/attack/store_proxy/dalli_proxy.rb".freeze, "lib/rack/attack/store_proxy/mem_cache_store_proxy.rb".freeze, "lib/rack/attack/store_proxy/redis_cache_store_proxy.rb".freeze, "lib/rack/attack/store_proxy/redis_proxy.rb".freeze, "lib/rack/attack/store_proxy/redis_store_proxy.rb".freeze, "lib/rack/attack/throttle.rb".freeze, "lib/rack/attack/track.rb".freeze, "lib/rack/attack/version.rb".freeze, "spec/acceptance/allow2ban_spec.rb".freeze, "spec/acceptance/blocking_ip_spec.rb".freeze, "spec/acceptance/blocking_spec.rb".freeze, "spec/acceptance/blocking_subnet_spec.rb".freeze, "spec/acceptance/cache_store_config_for_allow2ban_spec.rb".freeze, "spec/acceptance/cache_store_config_for_fail2ban_spec.rb".freeze, "spec/acceptance/cache_store_config_for_throttle_spec.rb".freeze, "spec/acceptance/cache_store_config_with_rails_spec.rb".freeze, "spec/acceptance/customizing_blocked_response_spec.rb".freeze, "spec/acceptance/customizing_throttled_response_spec.rb".freeze, "spec/acceptance/extending_request_object_spec.rb".freeze, "spec/acceptance/fail2ban_spec.rb".freeze, "spec/acceptance/rails_middleware_spec.rb".freeze, "spec/acceptance/safelisting_ip_spec.rb".freeze, "spec/acceptance/safelisting_spec.rb".freeze, "spec/acceptance/safelisting_subnet_spec.rb".freeze, "spec/acceptance/stores/active_support_dalli_store_spec.rb".freeze, "spec/acceptance/stores/active_support_mem_cache_store_pooled_spec.rb".freeze, "spec/acceptance/stores/active_support_mem_cache_store_spec.rb".freeze, "spec/acceptance/stores/active_support_memory_store_spec.rb".freeze, "spec/acceptance/stores/active_support_redis_cache_store_pooled_spec.rb".freeze, "spec/acceptance/stores/active_support_redis_cache_store_spec.rb".freeze, "spec/acceptance/stores/active_support_redis_store_spec.rb".freeze, "spec/acceptance/stores/connection_pool_dalli_client_spec.rb".freeze, "spec/acceptance/stores/dalli_client_spec.rb".freeze, "spec/acceptance/stores/redis_spec.rb".freeze, "spec/acceptance/stores/redis_store_spec.rb".freeze, "spec/acceptance/throttling_spec.rb".freeze, "spec/acceptance/track_spec.rb".freeze, "spec/acceptance/track_throttle_spec.rb".freeze, "spec/allow2ban_spec.rb".freeze, "spec/fail2ban_spec.rb".freeze, "spec/integration/offline_spec.rb".freeze, "spec/rack_attack_dalli_proxy_spec.rb".freeze, "spec/rack_attack_instrumentation_spec.rb".freeze, "spec/rack_attack_path_normalizer_spec.rb".freeze, "spec/rack_attack_request_spec.rb".freeze, "spec/rack_attack_spec.rb".freeze, "spec/rack_attack_throttle_spec.rb".freeze, "spec/rack_attack_track_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/support/cache_store_helper.rb".freeze]
  s.homepage = "https://github.com/rack/rack-attack".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--charset=UTF-8".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.4".freeze)
  s.rubygems_version = "3.2.5".freeze
  s.summary = "Block & throttle abusive requests".freeze
  s.test_files = ["spec/acceptance/allow2ban_spec.rb".freeze, "spec/acceptance/blocking_ip_spec.rb".freeze, "spec/acceptance/blocking_spec.rb".freeze, "spec/acceptance/blocking_subnet_spec.rb".freeze, "spec/acceptance/cache_store_config_for_allow2ban_spec.rb".freeze, "spec/acceptance/cache_store_config_for_fail2ban_spec.rb".freeze, "spec/acceptance/cache_store_config_for_throttle_spec.rb".freeze, "spec/acceptance/cache_store_config_with_rails_spec.rb".freeze, "spec/acceptance/customizing_blocked_response_spec.rb".freeze, "spec/acceptance/customizing_throttled_response_spec.rb".freeze, "spec/acceptance/extending_request_object_spec.rb".freeze, "spec/acceptance/fail2ban_spec.rb".freeze, "spec/acceptance/rails_middleware_spec.rb".freeze, "spec/acceptance/safelisting_ip_spec.rb".freeze, "spec/acceptance/safelisting_spec.rb".freeze, "spec/acceptance/safelisting_subnet_spec.rb".freeze, "spec/acceptance/stores/active_support_dalli_store_spec.rb".freeze, "spec/acceptance/stores/active_support_mem_cache_store_pooled_spec.rb".freeze, "spec/acceptance/stores/active_support_mem_cache_store_spec.rb".freeze, "spec/acceptance/stores/active_support_memory_store_spec.rb".freeze, "spec/acceptance/stores/active_support_redis_cache_store_pooled_spec.rb".freeze, "spec/acceptance/stores/active_support_redis_cache_store_spec.rb".freeze, "spec/acceptance/stores/active_support_redis_store_spec.rb".freeze, "spec/acceptance/stores/connection_pool_dalli_client_spec.rb".freeze, "spec/acceptance/stores/dalli_client_spec.rb".freeze, "spec/acceptance/stores/redis_spec.rb".freeze, "spec/acceptance/stores/redis_store_spec.rb".freeze, "spec/acceptance/throttling_spec.rb".freeze, "spec/acceptance/track_spec.rb".freeze, "spec/acceptance/track_throttle_spec.rb".freeze, "spec/allow2ban_spec.rb".freeze, "spec/fail2ban_spec.rb".freeze, "spec/integration/offline_spec.rb".freeze, "spec/rack_attack_dalli_proxy_spec.rb".freeze, "spec/rack_attack_instrumentation_spec.rb".freeze, "spec/rack_attack_path_normalizer_spec.rb".freeze, "spec/rack_attack_request_spec.rb".freeze, "spec/rack_attack_spec.rb".freeze, "spec/rack_attack_throttle_spec.rb".freeze, "spec/rack_attack_track_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/support/cache_store_helper.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<appraisal>.freeze, ["~> 2.2"])
    s.add_development_dependency(%q<bundler>.freeze, [">= 1.17", "< 3.0"])
    s.add_development_dependency(%q<byebug>.freeze, ["~> 11.0"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.11"])
    s.add_development_dependency(%q<minitest-stub-const>.freeze, ["~> 0.6"])
    s.add_runtime_dependency(%q<rack>.freeze, [">= 1.0", "< 3"])
    s.add_development_dependency(%q<rack-test>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<railties>.freeze, [">= 4.2", "< 7.1"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_development_dependency(%q<rubocop>.freeze, ["= 0.89.1"])
    s.add_development_dependency(%q<rubocop-performance>.freeze, ["~> 1.5.0"])
    s.add_development_dependency(%q<timecop>.freeze, ["~> 0.9.1"])
  else
    s.add_dependency(%q<appraisal>.freeze, ["~> 2.2"])
    s.add_dependency(%q<bundler>.freeze, [">= 1.17", "< 3.0"])
    s.add_dependency(%q<byebug>.freeze, ["~> 11.0"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.11"])
    s.add_dependency(%q<minitest-stub-const>.freeze, ["~> 0.6"])
    s.add_dependency(%q<rack>.freeze, [">= 1.0", "< 3"])
    s.add_dependency(%q<rack-test>.freeze, ["~> 1.0"])
    s.add_dependency(%q<railties>.freeze, [">= 4.2", "< 7.1"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<rubocop>.freeze, ["= 0.89.1"])
    s.add_dependency(%q<rubocop-performance>.freeze, ["~> 1.5.0"])
    s.add_dependency(%q<timecop>.freeze, ["~> 0.9.1"])
  end
end
